/*
 * @(#)ArtifactManager.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso.servlet;

/**
 * ArtifactReceiver,Responderクラスのテストケース用アーティファクト管理クラス
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/23 11:27:10 $
 */
public class ArtifactManager {

	private static final ArtifactManager am = new ArtifactManager();

	private String artifact = null;

	private String sessionId = null;

	/**
	 * コンストラクタ
	 */
	private ArtifactManager() {
	}

	public static ArtifactManager getInstance() {
		return am;
	}

	public void setArtifact(String artifact) {
		this.artifact = artifact;
	}

	public String getArtifact() {
		return this.artifact;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getSessionId() {
		return this.sessionId;
	}

}
